Bug 549717 - Merkaartor causes machine to crash
Summary: Merkaartor causes machine to crash
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: merkaartor
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Sven Lankes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-22 13:33 UTC by Egon Kastelijn
Modified: 2010-03-18 03:33 UTC (History)
2 users (show)

Fixed In Version: merkaartor-0.15.2-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-18 03:33:19 UTC
Type: ---


Attachments (Terms of Use)

Description Egon Kastelijn 2009-12-22 13:33:52 UTC
Description of problem:
Merkaartor causes machine to crash

Version-Release number of selected component (if applicable):
merkaartor-0.14-2.fc12.i686

How reproducible:
Always.

Steps to Reproduce:
1. Start Merkaartor
2. Download some map material
  
Actual results:
* Mouse pointer hangs.
* Total machine hangs. (no reaction on keyboard input)
* Automatic reboot of the machine.

Expected results:
* A normal download of the map

Additional info:
Could this be related to the 'nouveau' video driver?
Abrt-gui does not pick up the crash. Also not if I start Abrt-gui as root.
I downloaded the Merkaartor SVN sources. With these sources I am unable to crash my machine. ;)

$ /usr/src/merkaartor/binaries/bin/merkaartor --version
Merkaartor 0.15-svn
using QT version 4.5.3 (built with 4.5.3)

Comment 1 Egon Kastelijn 2010-02-14 08:50:06 UTC
Hi,

I think this problem can be fixed by creating a new RPM package based on Merkaartor version 0.15.

SVN URL: http://svn.openstreetmap.org/applications/editors/merkaartor

kind regards,

  Egon

Comment 2 Sven Lankes 2010-02-14 10:28:41 UTC
merkaartor-0.15-0.1.svn19986 is already in rawhide.

0.15 will be pushed to F12 as soon as it's released.

I cannot currently create a test-rpm for F12 as QT 4.6 is in the Buildroot in preparation for the upcoming push of kde 4.4.

I'll update this bug as soon as I can get a test-build out that you can try.

Comment 3 Fedora Update System 2010-02-28 20:39:19 UTC
merkaartor-0.15-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/merkaartor-0.15-1.fc12

Comment 4 Fedora Update System 2010-03-02 01:08:41 UTC
merkaartor-0.15-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update merkaartor'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-3313

Comment 5 Fedora Update System 2010-03-07 22:35:09 UTC
merkaartor-0.15.2-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/merkaartor-0.15.2-2.fc12

Comment 6 Fedora Update System 2010-03-09 03:38:23 UTC
merkaartor-0.15.2-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update merkaartor'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/merkaartor-0.15.2-2.fc12

Comment 7 Fedora Update System 2010-03-18 03:33:15 UTC
merkaartor-0.15.2-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.